IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPS_PROSCHEDULE_ORDER')
CREATE TABLE T_MPS_PROSCHEDULE_ORDER(
    FID               BIGINT          DEFAULT 0 NOT NULL,
    FBILLNO           NVARCHAR(30) DEFAULT ' ' NOT NULL,
    FBILLSTATUS       NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FSOURCEBILLID     BIGINT          DEFAULT 0 NOT NULL,
    FCREATORID        BIGINT          DEFAULT 0 NOT NULL,
    FMODIFIERID       BIGINT          DEFAULT 0 NOT NULL,
    FAUDITORID        BIGINT          DEFAULT 0 NOT NULL,
    FAUDITDATE        DATETIME,
    FMODIFYTIME       DATETIME,
    FCREATETIME       DATETIME,
    FREQUIREDATE      DATETIME,
    FMATERIELID       BIGINT          DEFAULT 0 NOT NULL,
    FATTRIBUTE        NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FREMARK           NVARCHAR(200) DEFAULT ' ' NOT NULL,
    FORDERNUM         DECIMAL(23, 10) DEFAULT 0 NOT NULL,
    FPLSQTY           DECIMAL(23, 10) DEFAULT 0 NOT NULL,
    FUNIT             BIGINT          DEFAULT 0 NOT NULL,
    FAUXILIARY        BIGINT          DEFAULT 0 NOT NULL,
    FWORKCENTER             BIGINT          DEFAULT 0 NOT NULL,
    FPRODUCTYIELDRATE DECIMAL(23, 10) DEFAULT 0 NOT NULL,
    FPRODUCTYIELDNUM  DECIMAL(23, 10) DEFAULT 0 NOT NULL,
    FBOM              BIGINT          DEFAULT 0 NOT NULL,
    FBOMDATETIME      DATETIME,
    FECNVERSION       BIGINT          DEFAULT 0 NOT NULL,
    FPLANNER          BIGINT          DEFAULT 0 NOT NULL,
    FSOURCEENTRYID    BIGINT          DEFAULT 0 NOT NULL,
    FTRACKNUMBER      BIGINT          DEFAULT 0 NOT NULL,
    FCONFIGURE        BIGINT          DEFAULT 0 NOT NULL,
    FPRIORITY         INT DEFAULT 0 NOT NULL,
    FPLANPREPAREDATE  DATETIME,
    FPLANSTARTDATE    DATETIME,
    FPLANFINISHDATE   DATETIME,
    FAVAILABLEDATE    DATETIME,
    FSOURCEENTITY     NVARCHAR(36) DEFAULT ' ' NOT NULL,
    FPLANORDERBILLNO  NVARCHAR(30) DEFAULT ' ' NOT NULL,
    FSOURCEBILLENTRYNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
    FPRODUCTIONORGID  BIGINT          DEFAULT 0 NOT NULL
);


EXEC P_ALTERPK 'PK_T_MPS_PROSCHEDULE_ORDER', 'T_MPS_PROSCHEDULE_ORDER', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPS_PROSCHEDULE_ORDER') CREATE
INDEX IDX_MPS_PROSCHEDULE_ORDER ON T_MPS_PROSCHEDULE_ORDER ( FBILLNO );


