IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MPS_ASSIGNEDORDER_ORDER')
CREATE TABLE T_MPS_ASSIGNEDORDER_ORDER(
    FID               BIGINT          DEFAULT 0 NOT NULL,
    FMATERIELID       BIGINT          DEFAULT 0 NOT NULL,
    FREMARK           NVARCHAR(200) DEFAULT ' ' NOT NULL,
    FPLSQTY           DECIMAL(23, 10) DEFAULT 0 NOT NULL,
    FUNIT             BIGINT          DEFAULT 0 NOT NULL,
    FAUXILIARY        BIGINT          DEFAULT 0 NOT NULL,
    FWORKCENTER       BIGINT          DEFAULT 0 NOT NULL,
    FPLSDATE           DATETIME,
    FPLANSTARTDATE    DATETIME,
    FPLANFINISHDATE   DATETIME,
    FSOURCEENTITY     NVARCHAR(36) DEFAULT ' ' NOT NULL,
    FPLANORDERBILLNO  NVARCHAR(36) DEFAULT ' ' NOT NULL,
    FPRODUCTIONORGID  BIGINT          DEFAULT 0 NOT NULL,
    FSOURCEBILLID     BIGINT          DEFAULT 0 NOT NULL,
    FSOURCEBILLENTRYNO INT DEFAULT 0 NOT NULL,
    FSOURCEENTRYID    BIGINT          DEFAULT 0 NOT NULL,
    FTRACKNUMBER      BIGINT          DEFAULT 0 NOT NULL,
    FCONFIGURE        BIGINT          DEFAULT 0 NOT NULL,
    FPROCESSROUTE     BIGINT          DEFAULT 0 NOT NULL,
    FPRODUCTIONVERSION  BIGINT          DEFAULT 0 NOT NULL,
    FEIGENVALUE VARCHAR(2000) DEFAULT ' ' NOT NULL,
    FEIGENVALUE_TAG NCLOB DEFAULT ' '
);


EXEC P_ALTERPK 'PK_T_MPS_ASSIGNEDORDER_ORDER', 'T_MPS_ASSIGNEDORDER_ORDER', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MPS_ASSIGNEDORDER_ORDER') CREATE
INDEX IDX_MPS_ASSIGNEDORDER_ORDER ON T_MPS_ASSIGNEDORDER_ORDER ( FPLANORDERBILLNO );


